# PointMode enum

Defines how a list of points is interpreted when drawing a set of points.

Used by Canvas.drawPoints.

## Constants

lines → const PointMode

  Draw each sequence of two points as a line segment.

  If the number of points is odd, then the last point is ignored.

  The lines are stroked as described by the Paint (ignoring Paint.style).

  `const PointMode(1)`
points → const PointMode

  Draw each point separately.

  If the Paint.strokeCap is StrokeCap.round, then each point is drawn as a circle with the diameter of the Paint.strokeWidth, filled as described by the Paint (ignoring Paint.style).

  Otherwise, each point is drawn as an axis-aligned square with sides of length Paint.strokeWidth, filled as described by the Paint (ignoring Paint.style).

  `const PointMode(0)`
polygon → const PointMode

  Draw the entire sequence of point as one line.

  The lines are stroked as described by the Paint (ignoring Paint.style).

  `const PointMode(2)`
values → const List<PointMode>

  A constant List of the values in this enum, in order of their declaration.

  `const List<PointMode>`

## Properties

index → int

  The integer index of this enum.

  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited